// Example of using LV-EZ1 analog output

// Analog pin to which you connected the sensor
#define SENSOR_PIN 0
// Compensation values
#define VALUE0 19
#define CM0 29
#define VALUE1 31
#define CM1 45

// Function returning distance to obstacle in cm
unsigned int get_distance()
{
  int data = analogRead(SENSOR_PIN);
  // return data // Delete the comment mark when calibrating
  return map(data, VALUE0, VALUE1, CM0, CM1);
}


void setup()
{
  Serial.begin(9600);
}


void loop()
{
  Serial.print(get_distance(), DEC);
  Serial.println(" cm");
  delay(100);
}
